body {
    margin: 0;
    font-family: "Yu Gothic";
    font-weight: 500;
    --main-color: #ffffff;
    --sub-color: #e5e5e5;
    --accent-color1: #c1c1c1;
    --accent-color2: #7F7F91;
    --text-color: #363636;
    --text-sub-color: #7F7F91;
}



.container-fullscreen {
    position: fixed;
    background-color: var(--main-color);
    height: 100vh;
    width: 100vw;
    display: grid;
    grid-template-rows: 0px auto;
    grid-template-areas: "head"
        "window";
}

.header {
    background-color: #3A3A44;
    grid-area: head;
}

.window {
    grid-area: window;
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: 80px auto;
}

.user_list {
    grid-column: 1/2;
    height: calc(100vh - 20px);
    margin: 0px 10px 0px 10px;
    overflow-y: scroll;
}

.user_list::-webkit-scrollbar {
    display: none;
}

.user {
    margin: 10px 0px 10px 0px;
}

.user_image {
    width: 100%;
    height: 60px;
    border-radius: 100%;
    background-color: var(--accent-color2);
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    font-weight: 800;
    color: #fff;
}

.user_image > img {
    width: 100%;
    border-radius: 100%;
    object-fit: fill;
}

.user.selected > .user_image {
    border-style: solid;
    border-color: var(--accent-color1);
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
    width: calc(100% - 6px);
    height: 54px;
}

.user.selected > .user_image > img {
    border-top-left-radius: 18px;
    border-top-right-radius: 18px;
    border-bottom-right-radius: 18px;
    border-bottom-left-radius: 18px;
    width: 100%;
    height: 100%;
}

#user_add > div {
    font-size: 30px;
    font-weight: bold;
}

#setting > div {
    font-size: 17px;
}

.subframe {
    padding: 10px 5px 5px 5px;
    grid-column: 2/2;
    display: grid;
    grid-template-rows: 60px auto 50px;
    grid-template-columns: 300px auto;
    grid-template-areas: "author_search search_col"
        "author_list tweet_col"
        "setting_box tweet_col";
}

.author_search {
    grid-area: author_search;
}

.author_search_box {
    width: 100%;
    height: 100%;
    background-color: var(--sub-color);
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
}

.author_search_box > .textbox {
    background-color: inherit;
    border-style: inherit;
    margin: 10px;
    width: calc(100% - 20px);
    height: calc(100% - 20px);
    font-size: 30px;
    color: var(--text-color);
}

.author_search_box > .textbox:focus {
    border-style: hidden;
    outline: 0;
}

.author_list {
    height: calc(100vh - 135px);
    margin: 10px 0px 0px 0px;
    background-color: var(--sub-color);
    grid-area: author_list;
    overflow-y: scroll;
}


.author_list::-webkit-scrollbar {
    width: 5px;
    height: 10px;
}

.author_list::-webkit-scrollbar-track {
    border-radius: 0px;
}

.author_list::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: var(--accent-color2);
}

.author {
    margin: 0 5px;
    height: 60px;
    display: grid;
    position: relative;
    grid-template-rows: 40px 20px;
    grid-template-columns: auto 50px;
    grid-template-areas: "name image"
        "screenname image"
}

.author.selected {
    border-left-style: solid;
    border-left-width: medium;
    border-left-color: var(--accent-color2);
    background-color: var(--accent-color1);
}

.author_image_field {
    height: 100%;
    grid-area: image;
}

.author_image {
    background-color: var(--accent-color2);
    margin: 10px 0;
    width: 45px;
    height: 45px;
    border-radius: 100%;
    background-size: cover;
}

.author_image > img {
    width: 100%;
    border-radius: 100%;
}

.author_name {
    position: absolute;
    bottom: 0;
    margin: 0 0 0 5px;
    grid-area: name;
    color: var(--text-color);
    font-size: 20px;
    margin-bottom: 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: calc(100% - 5px);
}

.author_screenname {
    position: absolute;
    top: 0;
    margin: 0 0 0 5px;
    grid-area: screenname;
    margin-top: 0px;
    color: var(--text-sub-color);
    font-size: 15px;
    white-space: nowrap;
}

.setting_box {
    grid-area: setting_box;
    background-color: inherit;
    margin-top: 5px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}


.setting_button {
    height: 40px;
    margin: 0 0 0 5px;
    background-color: inherit;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border-style: solid;
    border-color: var(--accent-color2);
    color: #7F7F91;
    font-size: 16px;
    font-weight: 600;
    line-height: 40px;
    padding: 0 10px;
}

.setting_button:focus {
    border-style: solid;
    border-color: #3A3A44;
    outline: 0;
}

.search_col {
    grid-area: search_col;
    margin: 0 0 0 10px;
    display: grid;
    grid-template-rows: 35px 0px 25px;
    grid-template-areas: "searchbox"
        "empty"
        "taglist"
}

.serchbox {
    grid-area: searchbox;
    background-color: var(--sub-color);
    height: 1ft;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    text-align: center;
}

.serchbox > .textbox {
    background-color: rgba(0, 0, 0, 0);
    border-style: hidden;
    margin: 0 10px;
    width: calc(100% - 20px);
    height: 100%;
    color: var(--text-color);
    ;
    font-size: 20px;
}

.serchbox > .textbox:focus {
    border-style: hidden;
    outline: 0;
}


#tag_suggest {
    position: absolute;
    background-color: #FFFFFF;
    border: 1px solid #CCCCFF;
    font-size: 90%;
    width: 200px;
}

#tag_suggest div {
    display: block;
    width: 200px;
    overflow: hidden;
    white-space: nowrap;
}

#tag_suggest div.select {
    /* キー上下で選択した場合のスタイル */
    color: #FFFFFF;
    background-color: #3366FF;
}

#tag_suggest div.over {
    /* マウスオーバ時のスタイル */
    background-color: #99CCFF;
}

.taglist {
    grid-area: taglist;
    overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap;
}

.taglist::-webkit-scrollbar {
    display: none;
}


.tag {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    background-color: var(--sub-color);
    display: inline-flex;
}

.sort-tag-remove-button {
    width: 20px;
    height: 20px;
    border-radius: 100%;
    border-style: inherit;
    background-color: var(--accent-color2);
    margin: 0px;
    font-weight: bold;
    color: #fff;
}

.sort-tag-remove-button:focus {
    border-style: hidden;
    outline: 0;
}

.tagtext {
    margin: 0 10px 0px 5px;
    font-size: 12px;
    color: var(--text-color);
    ;
}

.tweet_col {
    grid-area: tweet_col;
    height: calc(100vh - 85px);
    margin: 10px 0px 0px 10px;
    background-color: var(--sub-color);
    overflow-y: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}


.tweet_col::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

.tweet_col::-webkit-scrollbar-track {
    border-radius: 0px;
}

.tweet_col::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: #7F7F91;
}

.tweet {
    margin: 15px;
    width: 400px;
    height: 265px;
    border-style: solid;
    border-width: medium;
    border-color: var(--accent-color1);
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    display: flex;
    flex-wrap: wrap;
}

.tweet-images {
    height: 180px;
    width: 100%;
    display: flex;
    justify-content: center;
}

.img-1 > img {
    margin: 0;
    padding: 0;
    width: calc(100% / 1);
    height: 100%;
    object-fit: cover;
}

.img-2 > img {
    margin: 0;
    padding: 0;
    width: calc(100% / 2);
    height: 100%;
    object-fit: cover;
}

.img-3 > img {
    margin: 0;
    padding: 0;
    width: calc(100% / 3);
    height: 100%;
    object-fit: cover;
}

.img-4 > img {
    margin: 0;
    padding: 0;
    width: calc(100% / 4);
    height: 100%;
    object-fit: cover;
}

.tweet-desc {
    margin: 5px;
}

.tweet-text {
    color: var(--text-color);
    margin: 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 390px;
    font-size: 20px;
}

.tweet-author {
    color: var(--text-sub-color);
    margin: 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 390px;
    font-size: 13px;
}

.tweet-option {
    color: var(--text-sub-color);
    margin: 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 390px;
    font-size: 13px;
}

#images_view {
    display: none;
    position: fixed;
    top: 0;
    height: 100vh;
    width: 100vw;
    background-color: var(--sub-color);
}

#image_view_close {
    display: block;
    width: 50px;
    /*枠の大きさ*/
    height: 50px;
    /*枠の大きさ*/
    position: absolute;
    z-index: auto;
    top: 20px;
    left: 20px;
}

#image_view_close::before,
#image_view_close::after {
    content: "";
    display: block;
    width: 100%;
    /*バツ線の長さ*/
    height: 5px;
    /*バツ線の太さ*/
    background: var(--accent-color2);
    transform: rotate(45deg);
    transform-origin: 0% 50%;
    position: absolute;
    top: calc(14% - 5px);
    left: 14%;
}

#image_view_close::after {
    transform: rotate(-45deg);
    transform-origin: 100% 50%;
    left: auto;
    right: 14%;
}

#images {
    height: 100vh;
    width: 100vw;
    overflow-y: auto;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    scroll-snap-type: y mandatory;
}

#images::-webkit-scrollbar {
    width: 5px;
    height: 10px;
}

#images::-webkit-scrollbar-track {
    border-radius: 0px;
}

#images::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: var(--accent-color2);
}



#images > img {
    margin-bottom: 20px;
    height: 100%;
    width: 100%;
    object-fit: contain;
    scroll-snap-align: end;
}

#images_description {
    position: fixed;
    height: 200px;
    width: 100%;
    bottom: 0;
    z-index: auto;
    background-color: rgba(255, 255, 255, 0.85);
    display: flex;
}

#images_description_close {
    display: block;
    width: 30px;
    /*枠の大きさ*/
    height: 30px;
    /*枠の大きさ*/
    position: absolute;
    z-index: auto;
    top: 20px;
    left: 20px;
}

#images_description_close::before,
#images_description_close::after {
    content: "";
    display: block;
    width: 100%;
    /*バツ線の長さ*/
    height: 5px;
    /*バツ線の太さ*/
    background: #000;
    transform: rotate(45deg);
    transform-origin: 0% 50%;
    position: absolute;
    top: calc(14% - 5px);
    left: 14%;
}

#images_description_close::after {
    transform: rotate(-45deg);
    transform-origin: 100% 50%;
    left: auto;
    right: 14%;
}

#images_options {
    margin: 20px 0 20px 70px;
    width: 200px;
    height: calc(100% - 40px);
}

#images_author_image > img {
    border-radius: 100%;
    height: 50px;
    object-fit: cover;
}

#images_author_name {
    color: var(--text-color);
    max-height: calc(100% - 100px);
    overflow-y: auto;
}

#images_author_name::-webkit-scrollbar {
    width: 5px;
    height: 10px;
}

#images_author_name::-webkit-scrollbar-track {
    border-radius: 0px;
}

#images_author_name::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: var(--accent-color2);
}


#images_author_screenname {
    height: 20px;
    color: var(--text-color);
}

#images_date {
    height: 20px;
    color: var(--text-color);
}

#images_text {
    margin: 20px 10px;
    overflow-y: auto;
    width: calc(100% - 310px);
    color: var(--text-color);
}

#images_text::-webkit-scrollbar {
    width: 5px;
    height: 10px;
}

#images_text::-webkit-scrollbar-track {
    border-radius: 0px;
}

#images_text::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: var(--accent-color2);
}


#user_add_view {
    /*    display: none;*/
    position: fixed;
    top: 0;
    height: 100vh;
    width: 100vw;
    background-color: rgba(255, 255, 255, 0.85);
    display: flex;
    justify-content: center;
    align-items: center;
}

#user_add_view > .popup {
    width: 400px;
    height: 100px;
    background-color: inherit;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border-style: none;
    background-color: var(--sub-color);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

#user_add_view > .popup > div {
    color: var(--text-color);
}


.screen_name {
    padding: 0 5px;
    background-color: var(--main-color);
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border-style: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

#add_screen_name {
    border-style: none;
    background-color: rgba(255, 255, 255, 0);
    color: var(--text-color);
    font-size: 20px;
}

#add_screen_name:focus {
    border-style: hidden;
    outline: 0;
}

#user_add_add {
    margin: 0 0 0 10px;
    padding: 0 10px;
    background-color: inherit;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border-style: solid;
    border-color: var(--accent-color2);
}
